
package de.ivu.elect.business.ergebnis.control;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.AbstractDHondtQuotientDAO;
import de.ivu.elect.business.ergebnis.boundary.AbstractErgebnisDAO;
import de.ivu.elect.business.ergebnis.boundary.AbstractErgebnisLogEintragDAO;
import de.ivu.elect.business.ergebnis.boundary.AbstractGewaehltDAO;
import de.ivu.elect.business.ergebnis.boundary.AbstractSitzeDAO;
import de.ivu.elect.business.ergebnis.boundary.DHondtQuotientExtendedDAO;
import de.ivu.elect.business.ergebnis.boundary.ErgebnisExtendedDAO;
import de.ivu.elect.business.ergebnis.boundary.ErgebnisLogEintragExtendedDAO;
import de.ivu.elect.business.ergebnis.boundary.GewaehltExtendedDAO;
import de.ivu.elect.business.ergebnis.boundary.SitzeExtendedDAO;
import de.ivu.elect.business.ergebniskonflikt.boundary.AbstractErgebnisKonfliktDAO;
import de.ivu.elect.business.ergebniskonflikt.boundary.ErgebnisKonfliktExtendedDAO;
import de.ivu.elect.business.stimmeingabe.boundary.AbstractErgebnisGueltigerEingangDAO;
import de.ivu.elect.business.stimmeingabe.boundary.ErgebnisGueltigerEingangExtendedDAO;

public class ErgebnisDatenCreatorExtended extends AbstractErgebnisDatenCreator {


  @Inject
  private StimmergebnisDatenCreatorExtended stimmergebnisDatenCreator;

  @Inject
  private ErgebnisExtendedDAO ergebnisDAO;

  @Inject
  private SitzeExtendedDAO sitzeDAO;

  @Inject
  private GewaehltExtendedDAO gewaehltDAO;

  @Inject
  ErgebnisKonfliktExtendedDAO ergebnisKonfliktDAO;

  @Inject
  ErgebnisLogEintragExtendedDAO ergebnisLogEintragDAO;

  @Inject
  DHondtQuotientExtendedDAO dHondtQuotientDAO;

  @Inject
  ErgebnisGueltigerEingangExtendedDAO ergebnisGueltigerEingangDAO;

  @Override
  protected AbstractErgebnisGueltigerEingangDAO getErgebnisGueltigerEingangDAO() {
    return ergebnisGueltigerEingangDAO;
  }

  @Override
  protected AbstractDHondtQuotientDAO getDHondtQuotientDAO() {
    return dHondtQuotientDAO;
  }

  @Override
  protected AbstractErgebnisLogEintragDAO getErgebnisLogEintragDAO() {
    return ergebnisLogEintragDAO;
  }

  @Override
  protected AbstractErgebnisKonfliktDAO getErgebnisKonfliktDAO() {
    return ergebnisKonfliktDAO;
  }

  @Override
  protected AbstractSitzeDAO getSitzeDAO() {
    return sitzeDAO;
  }

  @Override
  protected AbstractGewaehltDAO getGewaehltDAO() {
    return gewaehltDAO;
  }

  @Override
  protected AbstractErgebnisDAO getErgebnisDAO() {
    return ergebnisDAO;
  }

  @Override
  protected AbstractStimmergebnisDatenCreator getStimmergebnisDatenCreator() {
    return stimmergebnisDatenCreator;
  }
}
